import java.math.BigDecimal;

class JavaBigDecimalTest
{
	//--------------------------------------------------------------------------
	//BigDecimal test

	public static BigDecimal Test(BigDecimal param)
	{
		return new BigDecimal(255.0 - param.doubleValue());
	}

	public static BigDecimal[][][] Test3D(BigDecimal[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = new BigDecimal(255.0 - param[i1][i2][i3].doubleValue());
				}
			}
		}
		return param;
	}
}
